# Uses of Class
org.apache.sysds.runtime.instructions.gpu.context.JCudaKernels

Packages that use JCudaKernels
Package
Description
org.apache.sysds.runtime.instructions.gpu.context
org.apache.sysds.runtime.matrix.data

## Uses of JCudaKernels in org.apache.sysds.runtime.instructions.gpu.context

Methods in org.apache.sysds.runtime.instructions.gpu.context that return JCudaKernels
Modifier and Type
Method
Description
`JCudaKernels`
GPUContext.`getKernels()`
Returns utility class used to launch custom CUDA kernel, specific to the active GPU for this GPUContext.

## Uses of JCudaKernels in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data that return JCudaKernels
Modifier and Type
Method
Description
`static JCudaKernels`
LibMatrixCUDA.`getCudaKernels(GPUContext gCtx)`